<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Support\Facades\Schema;

class CreateFilmUsersTable extends Migration
{
    /**
     * Run the migrations.
     *
     * @return void
     */
    public function up()
    {
        Schema::create('film_users', function (Blueprint $table) {
            $table->increments('id');
            $table->string('name')->unique('users_name_unique');
            $table->string('email');
            $table->string('password');
            $table->tinyInteger('admin');
            $table->text('settings');
            $table->timestamps()->default('0000-00-00 00:00:00');
            $table->timestamp('deleted_at')->nullable();
        });
    }

    /**
     * Reverse the migrations.
     *
     * @return void
     */
    public function down()
    {
        Schema::dropIfExists('film_users');
    }
}
